# Class BarcodeEditDistanceQuery

java.lang.Object
picard.util.BarcodeEditDistanceQuery

public class BarcodeEditDistanceQuery extends Object
A class for finding the distance between multiple (matched) barcodes and multiple barcode reads.

## Field Summary

Fields
Modifier and Type
Field
Description
`final byte[][]`
`barcodeBytes`
list of barcodes (e.g.
`final int`
`maximalInterestingDistance`
maximal edit distance between reads and barcodes to be considered
`final int`
`minimumBaseQuality`
minimal base quality to condiser informative
`final byte[][]`
`qualities`
list of quality scores for reads
`final byte[][]`
`readSubsequence`
list of barcode reads

## Constructor Summary

Constructors
Constructor
Description
`BarcodeEditDistanceQuery(byte[][] barcodeBytes, byte[][] readSubsequence, byte[][] qualities, int minimumBaseQuality, int maximalInterestingDistance)`

## Method Summary

Modifier and Type
Method
Description
`SingleBarcodeDistanceMetric`
`getSingleBarcodeDistanceQuery(int index, int previousMismatchCount)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### barcodeBytes

public final byte[][] barcodeBytes
list of barcodes (e.g. for dual-indexed barcodes)

### readSubsequence

public final byte[][] readSubsequence
list of barcode reads

### qualities

public final byte[][] qualities
list of quality scores for reads

### minimumBaseQuality

public final int minimumBaseQuality
minimal base quality to condiser informative

### maximalInterestingDistance

public final int maximalInterestingDistance
maximal edit distance between reads and barcodes to be considered

## Constructor Details

### BarcodeEditDistanceQuery

public BarcodeEditDistanceQuery(byte[][] barcodeBytes, byte[][] readSubsequence, byte[][] qualities, int minimumBaseQuality, int maximalInterestingDistance)

## Method Details

### getSingleBarcodeDistanceQuery

public SingleBarcodeDistanceMetric getSingleBarcodeDistanceQuery(int index, int previousMismatchCount)